Bug 810146 - [glusterfs-3.3.0qa33]: client protocol prints the null pathname if the errno is EEXIST
[glusterfs-3.3.0qa33]: client protocol prints the null pathname if the errno ...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: protocol (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-05 05:33 EDT by Raghavendra Bhat
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:27:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa40
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-04-05 05:33:19 EDT
Description of problem:

For link operation if the errno is EEXISTS, then the path is being printed as null. client protocol should print the actual path.

[2012-04-04 23:36:43.981060] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Pat
h: (null)
[2012-04-04 23:36:43.981146] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Pat
h: (null)
[2012-04-04 23:36:43.981204] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Pat
h: (null)
[2012-04-04 23:36:43.981250] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Pat
h: (null)
[2012-04-04 23:36:43.981296] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Pat
h: (null)
[2012-04-04 23:36:43.981339] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Pat
h: (null)
[2012-04-04 23:36:43.981400] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Pat
h: (null)
[2012-04-04 23:36:43.981451] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Path: (null)
[2012-04-04 23:36:43.981494] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Path: (null)
[2012-04-04 23:36:43.981543] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Path: (null)
[2012-04-04 23:36:43.981586] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Path: (null)
[2012-04-04 23:36:43.981636] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Path: (null)
[2012-04-04 23:36:43.981678] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Path: (null)
[2012-04-04 23:36:43.981719] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Path: (null)
[2012-04-04 23:36:43.981774] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Path: (null)
[2012-04-04 23:36:43.981825] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Path: (null)
[2012-04-04 23:36:43.981870] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Path: (null)
[2012-04-04 23:36:43.981919] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Path: (null)
[2012-04-04 23:36:43.981962] W [client3_1-fops.c:2438:client3_1_link_cbk] 0-mirror-client-2: remote operation failed: File exists. Pat:

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-04-11 13:10:06 EDT
CHANGE: http://review.gluster.com/3122 (protocol/client: in link_cbk() try to print valid information in case of error) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Raghavendra Bhat 2012-05-09 05:16:45 EDT
Checked with glusterfs-3.3.0qa40. Its working now and path is printed.

Note You need to log in before you can comment on or make changes to this bug.